## megapixels 1.4.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(Megapixels C)

set(CMAKE_C_STANDARD 11)

# Use the package PkgConfig to detect GTK+ headers/library files
FIND_PACKAGE(PkgConfig REQUIRED)
PKG_CHECK_MODULES(GTK3 REQUIRED gtk+-3.0)

# Setup CMake to use GTK+, tell the compiler where to look for headers
# and to the linker where to look for libraries
INCLUDE_DIRECTORIES(${GTK3_INCLUDE_DIRS})
LINK_DIRECTORIES(${GTK3_LIBRARY_DIRS})

# Add other flags to the compiler
ADD_DEFINITIONS(${GTK3_CFLAGS_OTHER})

add_executable(megapixels main.c ini.c ini.h bayer.c bayer.h)
target_link_libraries(megapixels ${GTK3_LIBRARIES})

=== meson_options.txt ===
option('tiffcfapattern', type: 'boolean', value: false)

## megapixels 0.9.0

=== debian/changelog ===
megapixels (0.9.0-1) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * Initial Debian release (Closes: #970794)

 -- Federico Ceratto <federico@debian.org>  Thu, 24 Sep 2020 21:15:21 +0100

=== debian/control ===
Source: megapixels
Section: x11
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Federico Ceratto <federico@debian.org>, Arnaud Ferraris <arnaud.ferraris@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 libgtk-3-dev,
 meson,
Standards-Version: 4.5.0
Homepage: https://git.sr.ht/~martijnbraam/megapixels
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/megapixels
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/megapixels.git
Rules-Requires-Root: no

Package: megapixels
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: GTK3 camera app for mobile using the V4L2 media request API
 Megapixels is a GTK3 camera application that knows how to deal with the V4L2
 media request API.

=== debian/watch ===
version=4
https://git.sr.ht/~martijnbraam/megapixels/refs .*/archive/((\d+\.)+\S+)\.tar\.gz

## megapixels 0.12.0

=== debian/changelog ===
megapixels (0.12.0-1) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * New upstream release 0.12.0
  * d/control: update dependencies
    Megapixels now build-depends on libtiff, and uses a post-processing
    script relying on dcraw.
    The post-processing script can also take advantage of `imagemagick` and
    `exiftool` if they're installed, but can work without those. So add a
    `Recommends` on packages providing these utilities.
  * d/upstream: metadata: add Bug-Database
  * d/copyright: drop entries corresponding to removed files

 -- Federico Ceratto <federico@debian.org>  Sun, 22 Nov 2020 20:30:27 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libgtk-3-dev,
+ libtiff-dev,
  meson,
 Standards-Version: 4.5.0
 Homepage: https://git.sr.ht/~martijnbraam/megapixels
@@ -18,6 +19,10 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ libraw-bin,
+Recommends:
+ graphicsmagick-imagemagick-compat | imagemagick,
+ libimage-exiftool-perl,
 Description: GTK3 camera app for mobile using the V4L2 media request API
  Megapixels is a GTK3 camera application that knows how to deal with the V4L2
  media request API.

## megapixels 0.13.1

=== debian/changelog ===
megapixels (0.13.1-2) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * d/patches: fix build with libtiff 4.2.0
  * d/control: depend on libtiff 4.2.0+

 -- Federico Ceratto <federico@debian.org>  Fri, 25 Dec 2020 14:39:51 +0000

megapixels (0.13.1-1) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * New upstream release for 0.13.1
  * d/copyright: add metainfo license information
  * d/control: bump Standards-Version

 -- Federico Ceratto <federico@debian.org>  Sun, 13 Dec 2020 14:36:25 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  libgtk-3-dev,
- libtiff-dev,
+ libtiff-dev (>= 4.2.0),
  meson,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://git.sr.ht/~martijnbraam/megapixels
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/megapixels
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/megapixels.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d+\.\S+)\.tar\.gz/megapixels-$1\.tar\.gz/g \
  https://git.sr.ht/~martijnbraam/megapixels/refs .*/archive/(\d+\.\S+)\.tar\.gz

## megapixels 1.3.0

=== debian/changelog ===
megapixels (1.3.0-1) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * New upstream version 1.3.0
  * d/control: build-depend on gtk4 and bump Standards-Version
  * d/patches: refresh for 1.3.0
  * d/copyright: acknowledge changed path and add missing entry

 -- Federico Ceratto <federico@debian.org>  Thu, 16 Sep 2021 13:32:22 +0100

megapixels (0.16.0-1) experimental; urgency=medium

  * New upstream release 0.16.0

 -- Federico Ceratto <federico@debian.org>  Wed, 28 Apr 2021 19:24:15 +0100

megapixels (0.15.0-1) experimental; urgency=medium

  * New upstream release 0.15.0
  * d/control: Add libzbar-dev dependency
  * d/patches: Remove upstreamed patch

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Wed, 03 Mar 2021 00:51:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Federico Ceratto <federico@debian.org>, Arnaud Ferraris <arnaud.ferraris@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- libgtk-3-dev,
+ libgtk-4-dev,
  libtiff-dev (>= 4.2.0),
+ libzbar-dev,
  meson,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://git.sr.ht/~martijnbraam/megapixels
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/megapixels
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/megapixels.git

## megapixels 1.4.3

=== debian/changelog ===
megapixels (1.4.3-1) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * New upstream version 1.4.3
  * d/patches: refresh patches for new upstream release
  * debian: reflect upstream changes
    `megapixels` now has a new maintainer, and migrated to a new upstream
    repository. Make sure our packaging files reflect those changes.
  * d/control: update Recommends
    `graphics-imagemagick-compat` lacks some `imagemagick` features. While
    it still works fine, `imagemagick` allows for better post-processing, so
    make this one the preferred package.

 -- Federico Ceratto <federico@debian.org>  Mon, 21 Feb 2022 23:43:48 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libzbar-dev,
  meson,
 Standards-Version: 4.6.0
-Homepage: https://git.sr.ht/~martijnbraam/megapixels
+Homepage: https://gitlab.com/postmarketOS/megapixels
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/megapixels
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/megapixels.git
 Rules-Requires-Root: no
@@ -22,7 +22,7 @@
  ${shlibs:Depends},
  libraw-bin,
 Recommends:
- graphicsmagick-imagemagick-compat | imagemagick,
+ imagemagick | graphicsmagick-imagemagick-compat,
  libimage-exiftool-perl,
 Description: GTK3 camera app for mobile using the V4L2 media request API
  Megapixels is a GTK3 camera application that knows how to deal with the V4L2

## megapixels 1.5.2

=== debian/changelog ===
megapixels (1.5.2-1) unstable; urgency=medium

  [ Guido Günther ]
  * d/control: megapixels uses GTK4.
    The description still said it's GTK3 while the build-dep
    was changed in bee4e0fd.
    (Closes: #1008065)

  [ Arnaud Ferraris ]
  * New upstream version 1.5.2
  * d/patches: update for new upstream release
  * d/control: update my email address.
    Also bump Standards-Version, no change required.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 11 Jul 2022 14:42:02 +0200

=== debian/control ===
Source: megapixels
Section: x11
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Federico Ceratto <federico@debian.org>,
           Arnaud Ferraris <aferraris@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libgtk-4-dev,
 libtiff-dev (>= 4.2.0),
 libzbar-dev,
 meson,
Standards-Version: 4.6.1
Homepage: https://gitlab.com/postmarketOS/megapixels
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/megapixels
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/megapixels.git
Rules-Requires-Root: no

Package: megapixels
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libraw-bin,
Recommends:
 imagemagick | graphicsmagick-imagemagick-compat,
 libimage-exiftool-perl,
Description: GTK4 camera app for mobile using the V4L2 media request API
 Megapixels is a GTK4 camera application that knows how to deal with the V4L2
 media request API.

## megapixels 1.6.0

=== debian/changelog ===
megapixels (1.6.0-1) unstable; urgency=medium

  * d/gbp.conf: fix upstream tag creation
  * New upstream version 1.6.0
  * d/patches: update for new upstream release
  * d/control: build-depend on libfeedback

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 07 Dec 2022 10:57:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
            Arnaud Ferraris <aferraris@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ libfeedback-dev,
  libgtk-4-dev,
  libtiff-dev (>= 4.2.0),
  libzbar-dev,

## megapixels 1.6.1

=== debian/changelog ===
megapixels (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * d/control: bump Standards-Version, no change needed

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 13 Jun 2023 17:02:12 +0200

## megapixels 1.7.0

=== debian/changelog ===
megapixels (1.7.0-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 01 Aug 2023 14:06:30 +0200

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/megapixels.*\.tar\.gz/megapixels-$1\.tar\.gz/g \
  https://gitlab.com/postmarketOS/megapixels/-/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## megapixels 1.8.1

=== debian/changelog ===
megapixels (1.8.1-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 22 Apr 2024 22:07:40 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libtiff-dev (>= 4.2.0),
  libzbar-dev,
  meson,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://gitlab.com/postmarketOS/megapixels
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/megapixels
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/megapixels.git

## megapixels 1.8.2

=== debian/changelog ===
megapixels (1.8.2-1) unstable; urgency=medium

  * New upstream version
  * Update additional metadata for git repo move (Closes: #1070496)

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 22 May 2024 10:58:21 +0200

## megapixels 1.8.3

=== debian/changelog ===
megapixels (1.8.3-2) unstable; urgency=medium

  * d/patches: fix build with GCC-15 (Closes: #1097380)

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 16 Sep 2025 00:14:21 +0200

megapixels (1.8.3-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 07 Jan 2025 17:02:45 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libzbar-dev,
  meson,
 Standards-Version: 4.6.2
-Homepage: https://gitlab.com/postmarketOS/megapixels
+Homepage: https://gitlab.com/megapixels-org/Megapixels
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/megapixels
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/megapixels.git
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="searchmode=plain" \
    https://gitlab.com/megapixels-org/Megapixels/tags?sort=updated_desc -/archive/v?\d[\d.]+/Megapixels-@ANY_VERSION@@ARCHIVE_EXT@

## megapixels 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(Megapixels C)

set(CMAKE_C_STANDARD 11)

# Use the package PkgConfig to detect GTK+ headers/library files
FIND_PACKAGE(PkgConfig REQUIRED)
PKG_CHECK_MODULES(GTK4 REQUIRED gtk4)
PKG_CHECK_MODULES(FEEDBACK REQUIRED libfeedback-0.0)
PKG_CHECK_MODULES(TIFF REQUIRED libtiff-4)
PKG_CHECK_MODULES(ZBAR REQUIRED zbar)
PKG_CHECK_MODULES(EPOXY REQUIRED epoxy)
PKG_CHECK_MODULES(MEGAPIXELS REQUIRED libmegapixels)
PKG_CHECK_MODULES(DNG REQUIRED libdng)
PKG_CHECK_MODULES(XLIB REQUIRED x11)
PKG_CHECK_MODULES(XRANDR REQUIRED xrandr)
PKG_CHECK_MODULES(WAYLAND REQUIRED wayland-client)
PKG_CHECK_MODULES(JPEG REQUIRED libjpeg)

# Setup CMake to use GTK+, tell the compiler where to look for headers
# and to the linker where to look for libraries
INCLUDE_DIRECTORIES(
        ${GTK4_INCLUDE_DIRS}
        ${FEEDBACK_INCLUDE_DIRS}
        ${DNG_INCLUDE_DIRS}
        ${ZBAR_INCLUDE_DIRS}
        ${EPOXY_INCLUDE_DIRS}
        ${MEGAPIXELS_INCLUDE_DIRS}
        ${XLIB_INCLUDE_DIRS}
        ${XRANDR_INCLUDE_DIRS}
        ${WAYLAND_INCLUDE_DIRS}
        ${JPEG_INCLUDE_DIRS}
)
LINK_DIRECTORIES(
        ${GTK4_LIBRARY_DIRS}
        ${FEEDBACK_LIBRARY_DIRS}
        ${DNG_LIBRARY_DIRS}
        ${ZBAR_LIBRARY_DIRS}
        ${EPOXY_LIBRARY_DIRS}
        ${MEGAPIXELS_LIBRARY_DIRS}
        ${XLIB_LIBRARY_DIRS}
        ${XRANDR_LIBRARY_DIRS}
        ${WAYLAND_LIBRARY_DIRS}
        ${JPEG_DIRS}
)

# Add other flags to the compiler
ADD_DEFINITIONS(
        ${GTK4_CFLAGS_OTHER}
        ${FEEDBACK_CFLAGS_OTHER}
        ${DNG_CFLAGS_OTHER}
        ${ZBAR_CFLAGS_OTHER}
        ${EPOXY_CFLAGS_OTHER}
        ${MEGAPIXELS_CFLAGS_OTHER}
        ${XLIB_CFLAGS_OTHER}
        ${XRANDR_CFLAGS_OTHER}
        ${WAYLAND_CFLAGS_OTHER}
        ${JPEG_OTHER}
)

find_program(GLIB_COMPILE_RESOURCES NAMES glib-compile-resources REQUIRED)
set(GRESOURCE_C   megapixels.gresource.c)
set(GRESOURCE_XML data/me.gapixels.Megapixels.gresource.xml)

file(GLOB datas data/*)
add_custom_command(
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${GRESOURCE_C}
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/data
        COMMAND ${GLIB_COMPILE_RESOURCES}
        ARGS
        --generate-source
        --target=${CMAKE_CURRENT_BINARY_DIR}/${GRESOURCE_C}
        ../${GRESOURCE_XML}
        VERBATIM
        MAIN_DEPENDENCY ${GRESOURCE_XML}
        DEPENDS ${datas}
)

add_custom_target(
        dummy-resource
        DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${GRESOURCE_C}
)

file(GLOB srcs src/*.c src/*h)
add_executable(megapixels-gtk ${srcs} medianame.h ${CMAKE_CURRENT_BINARY_DIR}/${GRESOURCE_C} src/state.h)
set_source_files_properties(
        ${CMAKE_CURRENT_BINARY_DIR}/${GRESOURCE_C}
        PROPERTIES GENERATED TRUE
)
add_dependencies(megapixels-gtk dummy-resource)
target_link_libraries(megapixels-gtk
        m
        ${GTK4_LIBRARIES}
        ${FEEDBACK_LIBRARIES}
        ${DNG_LIBRARIES}
        ${ZBAR_LIBRARIES}
        ${EPOXY_LIBRARIES}
        ${MEGAPIXELS_LIBRARIES}
        ${XLIB_LIBRARIES}
        ${XRANDR_LIBRARIES}
        ${WAYLAND_LIBRARIES}
        ${JPEG_LIBRARIES}
        )

add_compile_definitions(VERSION="${PROJECT_VERSION}")
add_compile_definitions(SYSCONFDIR="/etc")
add_compile_definitions(DATADIR="/usr/share")

=== debian/changelog ===
megapixels (2.0.0-1) unstable; urgency=medium

  * New upstream version (Closes: #1060921)
  * d/patches: drop upstreamed patches
  * d/control: update dependencies for new upstream release.
    Megapixels' v2 is a major refactoring, with a significant portion of the
    code having been split into `libmegapixels`, while introducing `libdng`
    as an abstraction layer on top of `libtiff`. Also, improved movie
    recording requires now depending on `libjpeg` and `libpulse` at build
    time.
    Runtime dependencies are also affected, as we should use `dcraw` instead
    of the `dcraw_emu` provided by `libraw-bin`. A new python script also
    requires depending on `python3-gi` (for Gobject introspection) and
    `gir1.2-gstreamer-1.0`.
    Also update Standards-Version as no other change is needed, and drop the
    now-obsolete Rules-Requires-Root.
  * d/copyright: update for new upstream release
  * d/watch: update to version 5

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 11 Nov 2025 12:44:02 +0100

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,28 @@
            Arnaud Ferraris <aferraris@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ libdng-dev,
  libfeedback-dev,
+ libjpeg-dev,
  libgtk-4-dev,
- libtiff-dev (>= 4.2.0),
+ libmegapixels-dev,
+ libpulse-dev,
  libzbar-dev,
  meson,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/megapixels-org/Megapixels
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/megapixels
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/megapixels.git
-Rules-Requires-Root: no
 
 Package: megapixels
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libraw-bin,
+ gir1.2-gstreamer-1.0,
+ libraw-bin | dcraw,
+ python3,
+ python3-gi,
 Recommends:
  imagemagick | graphicsmagick-imagemagick-compat,
  libimage-exiftool-perl,

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.com/megapixels-org/Megapixels

## megapixels 2.1.0

=== debian/changelog ===
megapixels (2.1.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: add gperf to build dependencies.
    It is now needed during the build process.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 24 Feb 2026 14:59:43 +0100

megapixels (2.0.0-2) unstable; urgency=medium

  * d/control: reduce architecture list.
    While megapixels builds fine on all little-endian architectures, it is
    meant for mobile devices only, and as such should only target ARM and
    RISC-V (as well as x86 for easier testing).
    Also drop the now-unneeded `Priority` field and bump Standards-Version
    accordingly.

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 16 Jan 2026 10:08:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: megapixels
 Section: x11
-Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Federico Ceratto <federico@debian.org>,
            Arnaud Ferraris <aferraris@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ gperf,
  libdng-dev,
  libfeedback-dev,
  libjpeg-dev,
@@ -14,13 +14,13 @@
  libpulse-dev,
  libzbar-dev,
  meson,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gitlab.com/megapixels-org/Megapixels
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/megapixels
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/megapixels.git
 
 Package: megapixels
-Architecture: any
+Architecture: amd64 arm64 armhf riscv64
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
